Skip to main content
GET
Obter payment intent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Identificador do payment intent (UUID).

Response

Default Response

amount
integer
required
Required range: 1 <= x <= 9007199254740991
createdAt
string<date-time>
required
currency
enum<string>
required
Available options:
BRL
description
string | null
required
Maximum string length: 200
externalReference
string | null
required
Maximum string length: 128
id
string<uuid>
required
metadata
object
required
paymentMethod
enum<string>
required
Available options:
PIX,
CARD
pix
object | null
required
status
enum<string>
required
Available options:
CREATED,
PROCESSING,
REQUIRES_ACTION,
SUCCEEDED,
FAILED,
CANCELED,
EXPIRED
updatedAt
string<date-time>
required
cardAction
object